> ## Documentation Index
> Fetch the complete documentation index at: https://enterprise-docs.dify.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 人間の入力フォームを送信

> 一時停止中の人間の入力フォームに対する受信者の応答を送信します。フォームが受理されるとワークフローが再開するため、後続のイベントは [ワークフローイベントをストリーム](/api-reference/ワークフロー/ワークフローイベントをストリーム) で受信してください。**WebApp** 配信が必要です。



## OpenAPI

````yaml /ja/3.10.x/develop/api/openapi_workflow.json post /form/human_input/{form_token}
openapi: 3.0.1
info:
  title: ワークフローアプリAPI
  description: ワークフローアプリケーションはセッションなしの動作をサポートし、翻訳、記事作成、要約 AI などに最適です。
  version: 1.0.0
servers:
  - url: https://{api_base_url}
    description: Workflow App API のベース URL です。
    variables:
      api_base_url:
        default: api.dify.ai/v1
        description: API ベース URL のホストとパス（`https://` を除く）。
security:
  - ApiKeyAuth: []
tags:
  - name: ワークフロー
    description: ワークフローの実行と管理のための操作です。
  - name: ファイル操作
    description: ファイルのアップロードとダウンロードの操作です。
  - name: エンドユーザー
    description: エンドユーザー情報に関連する操作です。
  - name: 音声・テキスト変換
    description: 音声からテキストおよびテキストから音声への変換です。
  - name: アプリケーション設定
    description: アプリケーションの設定、パラメータ、メタデータです。
  - name: 人間の入力
    description: 人間の入力を要する一時停止中のワークフローの再開操作です。
paths:
  /form/human_input/{form_token}:
    post:
      tags:
        - 人間の入力
      summary: 人間の入力フォームを送信
      description: >-
        一時停止中の人間の入力フォームに対する受信者の応答を送信します。フォームが受理されるとワークフローが再開するため、後続のイベントは
        [ワークフローイベントをストリーム](/api-reference/ワークフロー/ワークフローイベントをストリーム)
        で受信してください。**WebApp** 配信が必要です。
      operationId: submitWorkflowHumanInputForm
      parameters:
        - name: form_token
          in: path
          required: true
          schema:
            type: string
          description: >-
            一時停止フォームのアクセストークン。ストリーミングモードで
            [ワークフローを実行](/api-reference/ワークフロー/ワークフローを実行) が返す
            `human_input_required` イベントから取得します。
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - inputs
                - action
                - user
              properties:
                inputs:
                  type: object
                  additionalProperties: true
                  description: 受信者が提供した値。入力の `output_variable_name` をキーとします。
                action:
                  type: string
                  description: >-
                    受信者が選択したアクションボタンの
                    ID。[人間の入力フォームを取得](/api-reference/人間の入力/人間の入力フォームを取得) で返される
                    `user_actions` リストに含まれるいずれかの `id` 値と一致する必要があります。
                  maxLength: 20
                  pattern: ^[A-Za-z_][A-Za-z0-9_]*$
                user:
                  type: string
                  description: 送信者のエンドユーザー識別子。
            examples:
              approve:
                summary: リクエスト例
                value:
                  inputs:
                    comment: Looks good to ship
                  action: approve
                  user: abc-123
      responses:
        '200':
          description: フォームの送信に成功しました。レスポンスボディは空オブジェクトです。
          content:
            application/json:
              schema:
                type: object
              examples:
                success:
                  summary: レスポンス例
                  value: {}
        '400':
          description: >-
            - `bad_request` : Form recipient type is invalid.

            - `invalid_form_data` : Submission failed validation against the
            form definition.
          content:
            application/json:
              examples:
                bad_request:
                  summary: bad_request
                  value:
                    status: 400
                    code: bad_request
                    message: Form recipient type is invalid
                invalid_form_data:
                  summary: invalid_form_data
                  value:
                    status: 400
                    code: invalid_form_data
                    message: 'Missing required inputs: comment'
        '404':
          description: '`not_found` : Form not found.'
          content:
            application/json:
              examples:
                not_found:
                  summary: not_found
                  value:
                    status: 404
                    code: not_found
                    message: Form not found
        '412':
          description: >-
            - `human_input_form_submitted` : Form already submitted. Forms are
            one-shot; the first response wins regardless of which user submits
            it.

            - `human_input_form_expired` : The form's expiration time passed
            before submission arrived.
          content:
            application/json:
              examples:
                human_input_form_submitted:
                  summary: human_input_form_submitted
                  value:
                    status: 412
                    code: human_input_form_submitted
                    message: >-
                      This form has already been submitted by another user,
                      form_id=a1b2c3d4-e5f6-7890-abcd-ef1234567890
                human_input_form_expired:
                  summary: human_input_form_expired
                  value:
                    status: 412
                    code: human_input_form_expired
                    message: >-
                      This form has expired,
                      form_id=a1b2c3d4-e5f6-7890-abcd-ef1234567890
components:
  securitySchemes:
    ApiKeyAuth:
      type: http
      scheme: bearer
      bearerFormat: API_KEY
      description: >-
        API Key 認証です。すべての API リクエストにおいて、`Authorization` HTTP ヘッダーに `Bearer `
        プレフィックスを付けた API Key を含めてください。例：`Authorization: Bearer {API_KEY}`。**API
        Key はサーバーサイドに保存し、クライアントサイドで共有・保存しないことを強く推奨します。API Key
        の漏洩は深刻な結果につながる可能性があります。**

````